Subject: RE: setup.exe: something besides C++?
From: Robert Collins <[email-masked]>
To: Rick Rankin <[email-masked]>
Cc: [email-masked]
Date: 06 Mar 2003 07:18:19 +1100

On Thu, 2003-03-06 at 03:18, Rick Rankin wrote:
> I have a question. Do contributions to setup require the same copyright
> assignment as contributions to the dll? I've looked at the contributions page,
> the FAQ, and the assignment form itself, and the answer doesn't appear obvious
> to me. 
> 
> I have some 250+ boxes I deal with, and an unattended setup/update would be a
> huge plus for me -- something I might consider contributing. I just have
> serious doubts as to whether I could get my employer to agree to the copyright
> assignment :-(

You have to comply with the GPL, but we don't seek a copyright
assignment.

So if your change is non-obvious, you must:
* Add your name to the copyright holders list at the top of the file you
change.
* Clearly documents the changes you made (in the ChangeLog).

If you are working-for-hire, you may need to put your employers name in
the copyright holders list, but that is up to you and your employer. 

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.